Bug 174586 - RHEL4: killall crashes on long variable name
RHEL4: killall crashes on long variable name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: psmisc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-11-30 09:37 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0363
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 15:19:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-11-30 09:37:55 EST
Same patch as RHEL3 should apply.

+++ This bug was initially created as a clone of Bug #174585 +++

In /proc/<PID>/stat, the second column contains the short process name in
between brackets. For example:
14734 (gnome-pty-helpe) S 14733 2917 2917 0 -1 8388608 210 0 0 0 0 0 0 0 17 0 1
0 2854587 2224128 153 4294967295 134512640 134520764 3214533232 0 582 0 0
805310466 16385 0 0 0 17 0 0 0

killall parses that second column using this fscanf pattern:
-      okay = fscanf (file, "%*d (%[^)]", comm) == 1;
As comm is only 16 chars long, killall will crash if a kernel module sets its
own name to be longer than that. Patch from sprabhu@redhat.com attached

-- Additional comment from bnocera@redhat.com on 2005-11-30 09:36 EST --
Created an attachment (id=121634)
psmisc-21.3-comm_16chars.patch
Comment 7 Red Hat Bugzilla 2006-05-17 15:19:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0363.html

Note You need to log in before you can comment on or make changes to this bug.